Subject: bug#39555: [PATCH] Allow tempo-define-template to reassign tags to new templates

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2020 12:12:03 +0200

> From: Federico Tedin <[email-masked]>
> Date: Mon, 10 Feb 2020 23:34:04 +0100
> 
> (This may apply as a bug and as a wishlist item at the same time - not sure)

I think this should go to master in any case.

Given that tempo.el is not actively maintained lately, I think you can
install your changes, after taking care of the minor issues below.

> -(defun tempo-invalidate-collection ()
> +(defun tempo-invalidate-collection (&optional global)
>    "Marks the tag collection as obsolete.
> -Whenever it is needed again it will be rebuilt."
> -  (setq tempo-dirty-collection t))
> +Whenever it is needed again it will be rebuilt.  When GLOBAL is
                                                    ^^^^
Please use "if", not "when".  That's our usual style of describing
optional arguments.

I think the API changes should be in NEWS.

Thanks.